<template>
	<div class="row d-flex justify-content-center">
		<div class="col-lg-4">
			<form>
				<div class="form-group">
					<a-input placeholder="Email" v-model="auth.email">
				      <a-icon slot="prefix" type="user" />
				    </a-input>
				</div>
				<div class="form-group">
					<a-input placeholder="Password" type="password" v-model="auth.password">
				      <a-icon slot="prefix" type="lock" />
				    </a-input>
				</div>
				<div class="form-group">
					<a-button @click="authMe" type="primary" :style="{ width: '100%' }">Войти</a-button>
				</div>
				<div class="form-group">
					<a href="#">Не помню пароль</a>
				</div>
			</form>
		</div>
	</div>
</template>

<script type="text/javascript">
	import {VmStore} from '../../app'

	export default {
		data() {
			return {
				auth: {
					email: '',
					password: '',
				}
			}
		},
		methods: {
			authMe() {
				let params = {
					grant_type: VmStore.oauth.grant_type,
					client_id: VmStore.oauth.client_id,
					client_secret: VmStore.oauth.client_secret,
					scopes: VmStore.oauth.scopes,
					username: this.auth.email,
					password: this.auth.password,
				}

				this.$http.post('/oauth/token', params)
				.then(res => {
					let startMessage = this.$message.loading('Пожалуйста подождите..', 0);
        			setTimeout(startMessage, 2500);
        			this.$localStorage.set('access_token', res.body.access_token);
        			window.location.replace('/dashboard')
				},this.onHttpError)
			},
			onHttpError(err) {
				if (err.status === 400 || err.status === 401) {
					this.$message.error('Не верный email или пароль');
				}
			}
		}
	}
</script>